summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/locks/locks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/locks/locks.sh')
-rwxr-xr-xsanity/system_light/scripts/locks/locks.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/locks/locks.sh b/sanity/system_light/scripts/locks/locks.sh
new file mode 100755
index 0000000..8dce136
--- /dev/null
+++ b/sanity/system_light/scripts/locks/locks.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+function main()
+{
+ locks_dirname=$(dirname $LOCK_BIN);
+ cp $locks_dirname/test $LOCK_TEST_FILE;
+
+ $TOOLDIR/locks_run.sh;
+ if [ $? -eq 0 ]; then
+ rm $LOCK_TEST_FILE;
+ return 0;
+ else
+ return 1;
+ fi
+}
+
+main "$@"; \ No newline at end of file